<?php
/**
 * Custom functions that are not template related for fashionclaire theme
 *
 * @package fashionclaire
 * @since fashionclaire 1.1.1
 */

     // custom font css
    function fashionclaire_font_css(){
      $body_typography      = fashionclaire_get_option('body_typography');
      $heading_typography   = fashionclaire_get_option('heading_typography');
    ?>
        <style>
            html, body { font-family:<?php echo esc_html($body_typography);?> }
            .entry-meta,
            h1,h2,h3,h4,h5,h6{ font-family : <?php echo esc_html($heading_typography);?>}
        </style>
    <?php
    }
    add_action( 'wp_head', 'fashionclaire_font_css');

  
if ( ! function_exists( 'fashionclaire_footer_top_section' ) ) :

function fashionclaire_footer_top_section() {
    $footer_sidebar_data = fashionclaire_footer_sidebar_class();
    $footer_sidebar    = $footer_sidebar_data['active_sidebar'];
    $footer_class      = $footer_sidebar_data['class'];
    if ( empty( $footer_sidebar ) ) {
      return;
    }      ?>
    <div class="footer-widgets-area page-section <?php echo esc_attr( $footer_class ); ?>">
        <div class="wrapper">
          <?php
            for ( $i = 1; $i <= 4 ; $i++ ) {
              if ( is_active_sidebar( 'footer-' . $i ) ) {
              ?>
                <div class="hentry">
                  <?php dynamic_sidebar( 'footer-' . $i ); ?>
                </div>
                <?php
              }
            }
          ?>
          </div>
        
    </div> 
  <?php
}
endif;

add_action( 'fashionclaire_action_footer', 'fashionclaire_footer_top_section', 10 );


if ( ! function_exists( 'fashionclaire_footer_section' ) ) :
function fashionclaire_footer_section() { ?>
<div class="wrap container-fluid">
  <div class="row">
        <div class="site-footer">
            <?php 
                $copyright_footer = fashionclaire_get_option('copyright_text'); 
                if ( ! empty( $copyright_footer ) ) {
                $copyright_footer = wp_kses_data( $copyright_footer );
                }
                $powered_by_text = sprintf( __( ' Theme fashionclaire by %s', 'fashionclaire' ), '<a target="_blank" rel="designer" href="http://vbaimas.com/">vbaimas</a>' );
            ?>
                <span class="copy-right"><?php echo esc_html($copyright_footer);?><?php echo $powered_by_text;?></span>
        </div> 
  </div>    
</div>
  <?php }

endif;
add_action( 'fashionclaire_action_footer', 'fashionclaire_footer_section', 20 );

if ( ! function_exists( 'fashionclaire_footer_sidebar_class' ) ) :
/**
 * Count the number of footer sidebars to enable dynamic classes for the footer
 */
function fashionclaire_footer_sidebar_class() {
  $data = array();
  $active_sidebar = array();
    $count = 0;

    if ( is_active_sidebar( 'footer-1' ) ) {
      $active_sidebar[]   = 'footer-1';
        $count++;
    }

    if ( is_active_sidebar( 'footer-2' ) ){
      $active_sidebar[]   = 'footer-2';
        $count++;
  }

    if ( is_active_sidebar( 'footer-3' ) ){
      $active_sidebar[]   = 'footer-3';
        $count++;
    }

    if ( is_active_sidebar( 'footer-4' ) ){
      $active_sidebar[]   = 'footer-4';
        $count++;
    }

    $class = '';

    switch ( $count ) {
        case '1':
          $class = 'col-1';
          break;
        case '2':
          $class = 'col-2';
          break;
        case '3':
          $class = 'col-3';
          break;
          case '4':
          $class = 'col-4';
          break;
    }

  $data['active_sidebar'] = $active_sidebar;
  $data['class']        = $class;

    return $data;
}
endif;