<?php
/**
 * Color Options Panel.
 * 
 * @package fashionclaire
 * @since fashionclaire 1.1.1
 */

    $default = fashionclaire_get_default_theme_options();

    $wp_customize->get_control( 'background_color'  )->section   = 'fashionclaire_general_colors';

    // Add Panel for Color Options*/
    $wp_customize->add_panel( 'fashionclaire_colors_panel', array(
        'priority'       =>  190,
        'title'          =>  esc_html__('Color Options', 'fashionclaire')
    ));

    //General Color Settings
    $wp_customize->add_section('fashionclaire_general_colors', array(
        'title'     => esc_html__( 'General section', 'fashionclaire' ),
        'panel'     => 'fashionclaire_colors_panel',
        'priority'  =>  5,  
    ));

    //Site-Title Color
      $wp_customize->add_setting( 'title_color' , array(
        'default'           =>  $default['title_color'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'title_color', array(
        'label'         => esc_html__( 'Site title color', 'fashionclaire' ),
        'description'   => esc_html__( 'Change the color of Site title.', 'fashionclaire'),
        'section'       => 'fashionclaire_general_colors',
        'type'          =>  'color',
    )));

     // Site-tagline Color
     $wp_customize->add_setting( 'tagline_color' , array(
        'default'           =>  $default['tagline_color'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tagline_color', array(
        'label'         => esc_html__( 'Site tagline color', 'fashionclaire' ),
        'description'   => esc_html__( 'Change the color of site tagline.', 'fashionclaire'),
        'section'       => 'fashionclaire_general_colors',
        'type'          =>  'color',
    )));

    // Body Color
    $wp_customize->add_setting( 'body_color', array(
        'default'           =>  $default['body_color'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'body_color', array(
        'label'         => esc_html__( 'Main color', 'fashionclaire' ),
        'description'   => esc_html__( 'Change the main text color of body.', 'fashionclaire'),
        'section'       =>  'fashionclaire_general_colors',
        'type'          =>  'color',
    )));


    //Secondary Color
    $wp_customize->add_setting( 'secondary_color', array(
        'default'           => $default['secondary_color'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'secondary_color', array(
        'label'         =>  esc_html__( 'Secondary color', 'fashionclaire' ),
        'description'   =>  esc_html__( 'Change the secondary color like breadcrumb, categories, tag background.', 'fashionclaire'),
        'section'       =>  'fashionclaire_general_colors',
        'type'          =>  'color',
    )));

    //tag Color
    $wp_customize->add_setting( 'tag_color', array(
        'default'           =>  $default['tag_color'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));
        
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tag_color', array(
        'label'         =>  esc_html__( 'Tags color', 'fashionclaire' ),
        'description'   =>  esc_html__( 'Change the main text color of tag.', 'fashionclaire'),
        'section'       =>  'fashionclaire_general_colors',
        'type'          =>  'color',
    )));
    
      // Breadcrumb Background Color
      $wp_customize->add_setting( 'breadcrumb_background', array(
        'default'           =>  $default['breadcrumb_background'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));
        
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'breadcrumb_background', array(
        'label'         =>  esc_html__( 'Breadcrumb background color', 'fashionclaire' ),
        'description'   =>  esc_html__( 'Change the background color of breadcrumb.', 'fashionclaire'),
        'section'       =>  'fashionclaire_general_colors',  
        'type'          =>  'color',
    )));

    //Top Header Color Section
    $wp_customize->add_section( 'fashionclaire_top_header_background', array(
        'title'     => esc_html__( 'Top header section', 'fashionclaire' ),
        'panel'     => 'fashionclaire_colors_panel',
        'priority'  =>  5,  
    ));

    // Top Header Background Color
    $wp_customize->add_setting( 'top_header_background', array(
        'default'           =>  $default['top_header_background'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));
        
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'top_header_background', array(
        'label'         =>  esc_html__( 'Top header', 'fashionclaire' ),
        'description'   =>  esc_html__( 'Change the background color of top header in social media section.', 'fashionclaire'),
        'section'       =>  'fashionclaire_top_header_background',  
        'type'          =>  'color',
    )));

    // Author Section
    $wp_customize->add_section( 'fashionclaire_author_background', array(
        'title'    => esc_html__( 'Author section', 'fashionclaire' ),
        'panel'    => 'fashionclaire_colors_panel',
    ));

    // Author background
    $wp_customize->add_setting( 'author_background', array(
        'default'           =>  $default['author_background'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));
        
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'author_background', array(
        'label'         =>  esc_html__( 'Author background', 'fashionclaire' ),
        'description'   =>  esc_html__( 'Change the background color in author section.', 'fashionclaire'),
        'section'       =>  'fashionclaire_author_background',  
        'type'          =>  'color',
    )));

    // Footer Section
    $wp_customize->add_section( 'fashionclaire_footer_background', array(
        'title'    => esc_html__( 'Footer section', 'fashionclaire' ),
        'panel'    => 'fashionclaire_colors_panel',
    ));

    // Footer background
    $wp_customize->add_setting( 'footer_background', array(
        'default'           =>  $default['footer_background'],
        'sanitize_callback' =>  'fashionclaire_sanitize_hex_color',  
    ));
        
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_background', array(
        'label'         =>  esc_html__( 'Footer background', 'fashionclaire' ),
        'description'   =>  esc_html__( 'Change the background color in footer.', 'fashionclaire'),
        'section'       =>  'fashionclaire_footer_background',  
        'type'          =>  'color',
    )));