<?php
function fashionclaire_custom_color_theme_styles(){

    $background_color       = fashionclaire_get_option('background_color');
    $title_color            = fashionclaire_get_option('title_color');
    $tagline_color          = fashionclaire_get_option('tagline_color');
    $top_header_background  = fashionclaire_get_option('top_header_background');
    $breadcrumb_background  = fashionclaire_get_option('breadcrumb_background');
    $body_color             = fashionclaire_get_option('body_color');
    $tag_color              = fashionclaire_get_option('tag_color');
    $secondary_color        = fashionclaire_get_option('secondary_color');
    $author_background      = fashionclaire_get_option('author_background');
    $footer_background      = fashionclaire_get_option('footer_background');

    // Background Color 
    if ( $background_color != '#ffffff' ) :
        ?>
        <style>
            body.custom-background{
                background-color : <?php echo esc_html($background_color); ?>
            }
        </style>
    <?php endif; 

    // title Color 
    if ( $title_color != '#333333' ) :
        ?>
        <style>
            .site-title a{
                color : <?php echo esc_html($title_color); ?>
            }
        </style>
    <?php endif; 

      // tagline Color 
    if ( $tagline_color != '#333333' ) :
        ?>
        <style>
            p.site-tagline {
                color : <?php echo esc_html($tagline_color); ?>
            }
        </style>
    <?php endif; 

    // Header Background Color 
    if ( $top_header_background != '#fafafa' ) :
        ?>
        <style>
            .top-header-content{
                background-color : <?php echo esc_html($top_header_background); ?>
            }
        </style>
    <?php endif; 

      // Header Background Color 
      if ( $breadcrumb_background != '#fafafa' ) :
        ?>
        <style>
            .breadcrumb{
                background-color : <?php echo esc_html($breadcrumb_background); ?>
            }
        </style>
    <?php endif;
    
    // Main Body Color 
    if ( $body_color != '#333333' ) : 
    ?>
        <style>
            .author-content p,
            .entry-content p {
                color : <?php echo esc_html($body_color); ?>
            }
        </style>
    <?php endif; 

    // Tag Color
    if ($tag_color != '#ffffff' ) :
    ?>
        <style>
            .entry-tags a {
                color : <?php echo esc_html($tag_color); ?>
            }
        </style>
    <?php endif;

    // Secondary Color 
    if ($secondary_color != '#aa8c00' ) :
    ?>
        <style>
            #respond form#commentform p.logged-in-as a,
            .entry-content a,
            .breadcrumb .breadcrumb-trail ul a,
            .entry .entry-meta, 
            .entry .entry-meta a{
                    color : <?php echo esc_html($secondary_color); ?>
                }

            .entry-tags a{
                background-color:<?php echo esc_html($secondary_color); ?>
            }

            .wp-block-quote:not(.is-large):not(.is-style-large){
                border-color:<?php echo esc_html($secondary_color); ?>
            }
            .entry-related h3.section-title::before,h3.widget-title::before, hr {
                border-width:1px;
                border-style:solid;
                border-color: <?php echo esc_html($secondary_color); ?>;
            }
            #respond h3#reply-title{
                border-top-width:1px;
                border-top-style:solid;
                border-top-color: <?php echo esc_html($secondary_color); ?>;
            }
        </style>
    <?php endif;

    // Author Section
    if ($author_background != '#fafafa' ) :
    ?>
        <style>
            .author-info{
                background-color: <?php echo esc_html($author_background); ?>
        }
        </style>
    <?php endif; 

    //Footer Section
    if ($footer_background != '#fafafa' ) :
    ?>
        <style>
            footer.site-footer {
                background-color : <?php echo esc_html($footer_background); ?>
        }
        </style>
    <?php endif; 

}
add_action ('wp_head', 'fashionclaire_custom_color_theme_styles');
?>