<?php
if ( ! class_exists( 'WP_Customize_Control' ) )
  return NULL;

/**
 * A class to create a dropdown for all categories in your WordPress site
 */
class Fashionclaire_Typography_Dropdown extends WP_Customize_Control
{
  public $type = 'select';
    /**
     * Render the content of the category dropdown
     *
     * @return HTML
     */
    public function render_content()
    {
      
      ?>
      <label>
        <span class="customize-control-title"><?php echo esc_attr( $this->label ); ?></span>
        <select class="typography-selected" data-customize-setting-link="<?php echo esc_html ($this->id); ?>" name="<?php echo esc_html ($this->id); ?>" id="<?php echo esc_html ($this->id); ?>">
          <option value="Anton, sans-serif"><?php esc_html_e('Anton, sans-serif', 'fashionclaire');?></option>
          <option value="Abril Fatface, cursive"><?php esc_html_e('Abril Fatface, cursive', 'fashionclaire');?></option>
          <option value="Advent Pro, sans-serif"><?php esc_html_e('Advent Pro, sans-serif', 'fashionclaire');?></option>
          <option value="Archivo, sans-serif"><?php esc_html_e('Archivo, sans-serif', 'fashionclaire');?></option>
          <option value="Arimo, sans-serif"><?php esc_html_e('Arimo, sans-serif', 'fashionclaire');?></option>
          <option value="Arvo, serif"><?php esc_html_e('Arvo, serif', 'fashionclaire')?></option>
          <option value="Bitter, serif"><?php esc_html_e('Bitter, serif', 'fashionclaire');?></option>
          <option value="Cardo, serif"><?php esc_html_e('Cardo, serif', 'fashionclaire');?></option>
          <option value="Chivo, sans-serif"><?php esc_html_e('Chivo, sans-serif', 'fashionclaire');?></option>
          <option value="Crimson Text, serif"><?php esc_html_e('Crimson Text, serif', 'fashionclaire');?></option>
          <option value="Cormorant, serif"><?php esc_html_e('Cormorant, serif', 'fashionclaire');?></option>
          <option value="Dosis, sans-serif"><?php esc_html_e('Dosis, sans-serif', 'fashionclaire');?></option>
          <option value="Didact Gothic, sans-serif"><?php esc_html_e('Didact Gothic, sans-serif', 'fashionclaire');?></option>
          <option value="EB Garamond, serif"><?php esc_html_e('EB Garamond, serif', 'fashionclaire');?></option>
          <option value="Fira Sans, sans-serif"><?php esc_html_e('Fira Sans, sans-serif', 'fashionclaire');?></option>
          <option value="Frank Ruhl Libre, serif"><?php esc_html_e('Frank Ruhl Libre, serif', 'fashionclaire');?></option>
          <option value="Josefin Sans, sans-serif"><?php esc_html_e('Josefin Sans, sans-serif', 'fashionclaire');?></option>
          <option value="Judson, serif"><?php esc_html_e('Judson, serif', 'fashionclaire');?></option>
          <option value="Krub, sans-serif"><?php esc_html_e('Krub, sans-serif', 'fashionclaire');?></option>
          <option value="Lato, sans-serif"><?php esc_html_e('Lato, sans-serif', 'fashionclaire');?></option>
          <option value="Lora, serif"><?php esc_html_e('Lora, serif', 'fashionclaire');?></option>
          <option value="Merriweather, serif"><?php esc_html_e('Merriweather, serif', 'fashionclaire');?></option>
          <option value="Montserrat, sans-serif"><?php esc_html_e('Montserrat, sans-serif', 'fashionclaire');?></option>
		      <option value="Muli, sans-serif"><?php esc_html_e('Muli, sans-serif', 'fashionclaire');?></option>
		      <option value="Nixie One, cursive"><?php esc_html_e('Nixie One, cursive', 'fashionclaire');?></option>
		      <option value="Noto Sans, sans-serif"><?php esc_html_e('Noto Sans, sans-serif', 'fashionclaire');?></option>
          <option value="Questrial, sans-serif"><?php esc_html_e('Questrial, sans-serif', 'fashionclaire');?></option>
          <option value="Quicksand, sans-serif"><?php esc_html_e('Quicksand, sans-serif', 'fashionclaire');?></option>
          <option value="Old Standard TT, serif"><?php esc_html_e('Old Standard TT, serif', 'fashionclaire');?></option>
          <option value="Open Sans, sans-serif"><?php esc_html_e('Open Sans, sans-serif', 'fashionclaire');?></option>
          <option value="Oswald, sans-serif"><?php esc_html_e('Oswald, sans-serif', 'fashionclaire');?></option>
          <option value="Oxygen, sans-serif"><?php esc_html_e('Oxygen, sans-serif', 'fashionclaire');?></option>
          <option value="Playfair Display, serif"><?php esc_html_e('Playfair Display, serif', 'fashionclaire');?></option>
          <option value="Poppins, serif"><?php esc_html_e('Poppins, serif', 'fashionclaire');?></option>
          <option value="Prata, serif"><?php esc_html_e('Prata, serif', 'fashionclaire');?></option>
          <option value="PT Sans, sans-serif"><?php esc_html_e('PT Sans, sans-serif', 'fashionclaire');?></option>
          <option value="PT Sans Narrow, sans-serif"><?php esc_html_e('PT Sans Narrow, sans-serif', 'fashionclaire');?></option>
          <option value="PT Serif, serif"><?php esc_html_e('PT Serif, serif', 'fashionclaire');?></option>
          <option value="Roboto, sans-serif"><?php esc_html_e('Roboto, sans-serif', 'fashionclaire');?></option>
          <option value="Roboto Condensed, sans-serif"><?php esc_html_e('Roboto Condensed, sans-serif', 'fashionclaire');?></option>
          <option value="Roboto Slab, serif"><?php esc_html_e('Roboto Slab, serif', 'fashionclaire');?></option>
          <option value="Rokkitt, serif"><?php esc_html_e('Rokkitt, serif', 'fashionclaire');?></option>
          <option value="Rozha One, serif"><?php esc_html_e('Rozha One, serif', 'fashionclaire');?></option>
          <option value="Slabo 27px, serif"><?php esc_html_e('Slabo 27px, serif', 'fashionclaire');?></option>
          <option value="Source Sans Pro, sans-serif"><?php esc_html_e('Source Sans Pro, sans-serif', 'fashionclaire');?></option>
          <option value="Spectral, serif"><?php esc_html_e('Spectral, serif', 'fashionclaire');?></option>
          <option value="Suranna, serif"><?php esc_html_e('Suranna, serif', 'fashionclaire');?></option>
          <option value="Teko, sans-serif"><?php esc_html_e('Teko, sans-serif', 'fashionclaire');?></option>
          <option value="Tinos, serif"><?php esc_html_e('Tinos, serif', 'fashionclaire');?></option>
          <option value="Ubuntu, sans-serif"><?php esc_html_e('Ubuntu, sans-serif', 'fashionclaire');?></option>
          <option value="Vidaloka, serif"><?php esc_html_e('Vidaloka, serif', 'fashionclaire');?></option>
          <option value="Vollkorn, serif"><?php esc_html_e('Vollkorn, serif', 'fashionclaire');?></option>
          <option value="Work Sans, sans-serif"><?php esc_html_e('Work Sans, sans-serif', 'fashionclaire');?></option>
          <option value="Zilla Slab, serif"><?php esc_html_e('Zilla Slab, serif', 'fashionclaire');?></option>
        </select>
        <span class="description customize-control-description"><?php echo esc_attr( $this->description ); ?></span>
      </label>
      <?php
    }
  }
  ?>